import { get, post } from "./http";

/* 权益链接 */
export const RaiApi = {
  /* 获取详情 */
  reportDtl: (params) => {
    return get("/article/detail", params);
  },
  reportDtlTwo: (params) => {
    return get("/tactics/detail", params);
  },
  /* 查看报告 */
  lookReport: (params) => {
    return get("/article/look/detail", params);
  },
  /* 收藏 ArticleId*/
  collectRpt: (params) => {
    return post("/article/collect", params, 1);
  },
  /* 申请访谈 ArticleId*/
  applyRpt: (params) => {
    return post("/article/interview/apply", params, 1);
  },
  /* 关注作者/取消关注作者 接口 DepartmentId*/
  fllowDepartment: (params) => {
    return post("/report/fllowDepartment", params, 1);
  },
  /* 下载PDF打水印接口*/
  articlePdfwatermark: (params) => {
    return get("/article/pdfwatermark", params, "下载");
  },
  /* 页面复制监听*/
  pageHistoryCopy: (params) => {
    return post("/config/pageHistory", params, 1);
  },
  // 用户的文章活动，关注/取消关注产业
  userIndustryFollow: (params) => {
    return post("/industry/follow", params);
  },
  /**
   * 约访专家
   * @param {} params:{number ArticleId:ArticleId}
   * @returns
   */
  appointmentExpert: (params) => {
    return post("/article/applyAppointmentExpert", params);
  },

  // 获取ficc 报告
  getFiccYbReportDetails: (params) => {
    return get("/ficc_report/detail", params, 0);
  },
};
export const FreeButton = {
  /*获取是否展示免费试用按钮接口*/
  userIsShowFreeButton: (params) => {
    return get("/user/isShow/freeButton", params);
  },
  /* 隐藏当天的按钮接口 */
  userFreeButtonUpdate: (params) => {
    return post("/user/freeButton/update", params);
  },
  /*分享的时候判断是不是弘则的手机号*/
  userIsShowShare: (params) => {
    return get("/user/isShow/share", params);
  },
  /*获取权限弹窗是否展示免费月卡接口*/
  userIsShowAlert: (params) => {
    return get("/user/isShow/alert", params);
  },
  /* 页面复制监听*/
  researcharticleHotList: (params) => {
    return get("/research/article/hotList", params, 1);
  },
  /* 收藏 ArticleId*/
  collectRpt: (params) => {
    return post("/article/collect", params, 0);
  },
};
/* 产品内测 详情 */
export const inrernalApi = {
  getProductInteriorDetail: (params) => {
    return get("/product_interior/detail", params, 0);
  },
  /* 新增音频放记录 报告 */
  reportVoiceHistoryAdd: (params) => {
    return post("/activity/videoHistory/add", params);
  },
};
